Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.manager.util
Class BaseSessionComparator

    java.lang.Object
      org.apache.catalina.manager.util.BaseSessionComparator

All Implemented Interfaces:
  java.util.Comparator

    public abstract class BaseSessionComparator

extends java.lang.Object
implements java.util.Comparator

Comparator which permits to compare on a session's content

Author:
  Cédrik LIME

Constructor Summary
`BaseSessionComparator()`

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)`
`abstract java.lang.Comparable` | `getComparableObject(Session session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### BaseSessionComparator

    public BaseSessionComparator()

Method Detail

### getComparableObject

    public abstract java.lang.Comparable getComparableObject(Session session)

### compare

    public final int compare(java.lang.Object o1,
                             java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.